[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'LazRegions' (#lcl)

# TLazRegionWithChilds.IsPointInRegion

Indicates if the specified point is within the bounds for the region.

## Declaration

Source position: lazregions.pas line 104

`public function TLazRegionWithChilds.IsPointInRegion(`
`AX: Integer;`
`AY: Integer`
`):TLazRegionWithChilds; virtual;`

## Arguments

`AX` |  | Horizontal coordinate for the point.
`AY` |  | Vertical coordinate for the point.

## Function result

True when the point is within the bounds for one of the child areas in the region.

## Description

Returns itself or a child, depending on where the point was found, or nil if the point is neither in the region nor in any children.

Part of the behavior is implemented in TLazRegionWithChilds.